<?php

namespace Modules\Customer\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AddCustomerCustomer extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'first_name'=>'required|min:3',
            'last_name'=>'required|min:3',
            'mobile'=>'required|regex:/(09)[0-9]{9}/|min:11|unique:customers,mobile',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    public function messages()
    {
        return [
            'mobile.required'=>'فیلد شماره موبایل الزامی می باشد',
            'mobile.regex'=>'فرمت ورودی برای شماره موبایل اشتباه می باشد',
            'mobile.min'=>'فیلد شماره موبایل باید 11 کاراکتر باشد',
        ];
    }
}
